package ru.dbotthepony.kstarbound.world.entities.api

interface ScriptedEntity {
	// Call a script function directly with the given arguments, should return
	// nothing only on failure.
	fun callScript(fnName: String, vararg arguments: Any?): Array<Any?>

	// Execute the given code directly in the underlying context, return nothing
	// on failure.
	fun evalScript(code: String): Array<Any?>
}
